This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 124324 - debug: sleeping function called from invalid context
debug: sleeping function called from invalid context
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-25 13:16 EDT by Neal Becker
Modified: 2015-01-04 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:50:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neal Becker 2004-05-25 13:16:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.2; Linux) (KHTML, like Gecko)

Description of problem:
May 25 13:13:19 rpppc1 kernel: Debug: sleeping function called from invalid context at include/asm/semaphore.h:119
May 25 13:13:19 rpppc1 kernel: in_atomic():0, irqs_disabled():1
May 25 13:13:19 rpppc1 kernel: Call Trace:
May 25 13:13:19 rpppc1 kernel:  [<0211691d>] __might_sleep+0x80/0x8a
May 25 13:13:19 rpppc1 kernel:  [<428c09c9>] ahc_linux_kill_dv_thread+0x4f/0x7b [aic7xxx]
May 25 13:13:19 rpppc1 kernel:  [<428c57b0>] ahc_linux_exit+0x18/0x2e [aic7xxx]
May 25 13:13:19 rpppc1 kernel:  [<02126b19>] sys_delete_module+0x122/0x162
May 25 13:13:19 rpppc1 kernel:  [<02137c1f>] unmap_vma_list+0xe/0x17
May 25 13:13:19 rpppc1 kernel:  [<02137f64>] do_munmap+0xfe/0x108
May 25 13:13:19 rpppc1 kernel:  [<02114408>] do_page_fault+0x0/0x446
May 25 13:13:19 rpppc1 kernel: 


Version-Release number of selected component (if applicable):
2.6.5-1.358

How reproducible:
Didn't try

Steps to Reproduce:
1. modprobe -r aic7xxx
2.
3.
    

Additional info:

Remove unused scsi driver (scsi is connected only to tape drive, which is turned off)
Comment 1 Dave Jones 2005-04-16 00:50:18 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.